---
title: CSS Counter Styles
slug: Web/API/CSS_Counter_Styles
tags:
  - CSS
  - CSS Counter Styles
  - Overview
---
<div>{{DefaultAPISidebar("CSS Counter Styles")}}{{SeeCompatTable}}</div>

<p>The CSS Counter Styles module allows to define custom counter styles, which can be used for CSS list-marker and generated-content counters.</p>

<h2 id="Interfaces">Interfaces</h2>

<dl>
 <dt>{{domxref("CSSCounterStyleRule")}}</dt>
 <dd>Represents an {{cssxref("@counter-style")}} rule.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Counter Styles")}}</td>
   <td>{{Spec2("CSS3 Counter Styles")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<h3 id="CSSCounterStyleRule_interface"><code>CSSCounterStyleRule</code> interface</h3>

<div>

<p>{{Compat("api.CSSCounterStyleRule")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/CSS_Lists_and_Counters/Using_CSS_counters">Using CSS counters</a></li>
</ul>
